<?php
// Include conexiunea la baza de date
include 'partials/header.php';

// Interogare pentru a obține mesajele din baza de date
$message_query = "SELECT u.firstname, u.lastname, m.message FROM messages m INNER JOIN users u ON m.sender_id = u.id ORDER BY m.timestamp DESC LIMIT 200";
$message_result = mysqli_query($connection, $message_query);

// Verificăm dacă am obținut rânduri rezultat
if (mysqli_num_rows($message_result) > 0) {
    // Creăm un array pentru a stoca mesajele
    $messages = [];
    
    // Iterăm prin fiecare rând de rezultat și adăugăm mesajele în array
    while ($message_row = mysqli_fetch_assoc($message_result)) {
        $messages[] = $message_row;
    }
    
    // Returnăm array-ul cu mesaje ca un răspuns JSON
    echo json_encode(["messages" => $messages]);
} else {
    // Dacă nu există mesaje, returnăm un array gol ca răspuns JSON
    echo json_encode(["messages" => []]);
}
